Bug 1121959 - Package upload fails with larger rpms (30MB+) in UI with "Error during upload: undefined"
Summary: Package upload fails with larger rpms (30MB+) in UI with "Error during upload...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: David Davis
QA Contact: jcallaha
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-22 08:51 UTC by Ivan Necas
Modified: 2019-08-15 03:54 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-12 05:11:10 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1592 normal SHIPPED_LIVE Important: Red Hat Satellite 6.1.1 on RHEL 6 2015-08-12 09:04:35 UTC
Red Hat Knowledge Base (Solution) 1413703 None None None Never

Description Ivan Necas 2014-07-22 08:51:35 UTC
Description of problem:
Package upload fails with larger rpms (30MB+) in UI with "Error during upload: undefined"

How reproducible:
Always

Steps to Reproduce:
1. upload large rpm to a repository (such as jre)

Actual results:
Error message with "Error during upload: undefined"

Expected results:
Either success or advise to use hammer cli to uplaod the large file

Additional info:

Comment 2 Bryan Kearney 2014-10-30 16:03:27 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/7554 has been closed
-------------
David Davis
Applied in changeset commit:katello|78b88cf834d014091d62673ebc0cbc99c6921572.

Comment 3 jcallaha 2014-11-14 19:36:46 UTC
*** This bug is verified in upstream. This fix should eventually land in future downstream builds ***
RHEL65 / RHEL7

Error message recieved:
Error during upload: File too large. Please use the CLI instead

Version Tested:
foreman-proxy-1.8.0-0.develop.201411121327gitab6edc2.el7.noarch
yttrium.idmqe.lab.eng.bos.redhat.com-foreman-proxy-1.0-1.noarch
foreman-gce-1.8.0-0.develop.201411131139git5cd6de6.el7.noarch
foreman-selinux-1.8.0-0.develop.201410280941git10de1c5.el7.noarch
foreman-vmware-1.8.0-0.develop.201411131139git5cd6de6.el7.noarch
foreman-release-1.8.0-0.develop.201411131139git5cd6de6.el7.noarch
ruby193-rubygem-foreman_discovery-1.4.0-2.el7.noarch
rubygem-hammer_cli_foreman_tasks-0.0.3-2.201409091410git163c264.git.0.988ca80.el7.noarch
foreman-postgresql-1.8.0-0.develop.201411131139git5cd6de6.el7.noarch
ruby193-rubygem-foreman_docker-0.2.0-2.el7.noarch
rubygem-hammer_cli_foreman-0.1.3-1.201411121216git9381fc5.el7.noarch
foreman-1.8.0-0.develop.201411131139git5cd6de6.el7.noarch
foreman-ovirt-1.8.0-0.develop.201411131139git5cd6de6.el7.noarch
ruby193-rubygem-foreman-tasks-0.6.9-1.el7.noarch
foreman-libvirt-1.8.0-0.develop.201411131139git5cd6de6.el7.noarch
foreman-compute-1.8.0-0.develop.201411131139git5cd6de6.el7.noarch
ruby193-rubygem-foreman_bootdisk-4.0.0-1.el7.noarch
yttrium.idmqe.lab.eng.bos.redhat.com-foreman-client-1.0-1.noarch
ruby193-rubygem-foreman_hooks-0.3.7-2.el7.noarch

Comment 4 Harald Jensås 2014-12-15 12:42:26 UTC
Hi, with very large RPM's say 250MB the CLI does not work either.

I was able to workaround the issue during a customer engagement by creating repositories with "createrepo" on the local filesystem and use file:///<path-to-repo> as the URL.

Comment 5 Bryan Kearney 2015-08-11 13:21:33 UTC
This bug is slated to be released with Satellite 6.1.

Comment 6 errata-xmlrpc 2015-08-12 05:11:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1592

Comment 7 Need Real Name 2017-12-20 14:15:13 UTC
Not resolved in 6.2 of Satellite

Comment 8 John Priddy 2018-06-11 22:28:40 UTC
Just tried with a 48MB file.  This is not resolved as of 6.3.1 either.

Comment 9 John Priddy 2018-06-11 22:36:46 UTC
I tried to reproduce it again to be sure, and the 2nd time it worked, 3rd and 4th and 5th it didnt.  So maybe its something more nuanced.  We also have a kbase on it and people are claiming there it its still a problem as recent as March:  https://access.redhat.com/solutions/1754913


Note You need to log in before you can comment on or make changes to this bug.